Bug 189969 - osad on Satellite client stops when jabberd is restarted on Satellite server
osad on Satellite client stops when jabberd is restarted on Satellite server
Status: CLOSED DUPLICATE of bug 167000
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Other (Show other bugs)
unspecified
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: John Wregglesworth
Vlady Zlatkin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-26 06:56 EDT by Carsten Clasohm
Modified: 2007-10-23 22:44 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-21 12:04:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Carsten Clasohm 2006-04-26 06:56:26 EDT
Description of problem:
When osad looses the connection to jabberd, it stops running.

Version-Release number of selected component (if applicable):
Satellite 4.0.6

How reproducible:
always

Steps to Reproduce:
1. Install and start osad on a system registered with the Satellite.
2. Run "service jabberd restart" on the Satellite server.
3. Run "service osad status" on the Satellite client.
  
Actual results:
The osad process dies, administrators loose the Push to Client functionality
until they manually restart the osad service on all clients.

Expected results:
osad should continue running, and wait for the Jabber server to come back.

Additional info:
Currently, we install a crontab entry to periodically check if osad is still
running, and run "services osad restart" if it is not.

Note You need to log in before you can comment on or make changes to this bug.